aboutsummaryrefslogtreecommitdiffstats
path: root/test/Makefile
diff options
context:
space:
mode:
authorLoïc Hoguin <[email protected]>2018-12-03 19:22:12 +0100
committerLoïc Hoguin <[email protected]>2018-12-03 19:22:12 +0100
commit983f82bdfcb3e78f04468fcfd02d6a6ee5869b13 (patch)
treec2dc607d4fac2e5d0e42e57dd5b88837e82543ff /test/Makefile
parent225fb9046e8bf05c647cbcfdd2a074901700236a (diff)
downloaderlang.mk-983f82bdfcb3e78f04468fcfd02d6a6ee5869b13.tar.gz
erlang.mk-983f82bdfcb3e78f04468fcfd02d6a6ee5869b13.tar.bz2
erlang.mk-983f82bdfcb3e78f04468fcfd02d6a6ee5869b13.zip
Don't rebuild dependencies by default
Unless it's a symbolic link, it's built directly, FULL=1 is set or the file ebin/dep_built in the dependency is removed. See the documentation changes for more details. This provides immense build speed gains, for example on a RabbitMQ project it went from 10s to 1s for the 2nd+ builds.
Diffstat (limited to 'test/Makefile')
-rw-r--r--test/Makefile2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/Makefile b/test/Makefile
index 2f9e875..a66e9db 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -190,7 +190,7 @@ pkg-$1: build clean
fi
$i "Recompile package $1"
- $t if ! ( cd packages/$1_pkg/ && $(MAKE) $(PATCHES) $v ); then \
+ $t if ! ( cd packages/$1_pkg/ && $(MAKE) $(PATCHES) FULL=1 $v ); then \
echo "$(1): recompile error" >> packages/errors.log; \
false; \
fi